X11rdp: Rework changing directories

Remove unchecked changes of directories.
ulab-next
Philipp Hahn 12 years ago
parent 4163fd8d38
commit 7a0db8a152

@ -68,11 +68,7 @@ download_file()
*) *)
url=$download_url/$file ;; url=$download_url/$file ;;
esac esac
cd downloads wget -cqP downloads "url"
wget -cq "url"
status=$?
cd ..
return $status
} }
remove_modules() remove_modules()
@ -89,16 +85,12 @@ remove_modules()
exit 0 exit 0
fi fi
cd build_dir
while IFS=: read mod_file mod_dir mod_args while IFS=: read mod_file mod_dir mod_args
do do
if [ -d $mod_dir ]; then if [ -d build_dir/$mod_dir ]; then
rm -rf $mod_dir rm -rf build_dir/$mod_dir
fi fi
done < ../$data_file done < ../$data_file
cd ..
} }
extract_it() extract_it()
@ -187,7 +179,7 @@ make_it()
# make module # make module
if [ ! -e cookies/$mod_name.made ]; then if [ ! -e cookies/$mod_name.made ]; then
if ! (cd build_dir/$mod_name ; make) if ! make -C build_dir/$mod_name
then then
echo "" echo ""
echo "make failed for module $mod_name" echo "make failed for module $mod_name"
@ -198,7 +190,7 @@ make_it()
fi fi
# install module # install module
if ! (cd build_dir/$mod_name ; make install) if ! make -C build_dir/$mod_name install
then then
echo "" echo ""
echo "make install failed for module $mod_name" echo "make install failed for module $mod_name"
@ -210,7 +202,7 @@ make_it()
# so Mesa builds using this python version # so Mesa builds using this python version
case "$mod_name" in case "$mod_name" in
*Python-2*) *Python-2*)
(cd build_dir/$mod_name ; ln -s python $PREFIX_DIR/bin/python2) ln -s python build_dir/$mod_name/$PREFIX_DIR/bin/python2
;; ;;
esac esac
@ -324,8 +316,7 @@ echo "build for X OK"
X11RDPBASE=$PREFIX_DIR X11RDPBASE=$PREFIX_DIR
export X11RDPBASE export X11RDPBASE
cd rdp if ! make -C rdp
if ! make
then then
echo "error building rdp" echo "error building rdp"
exit 1 exit 1

Loading…
Cancel
Save